summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2016-05-18 03:23:28 -0400
committerMike Frysinger <vapier@gentoo.org>2016-05-18 03:23:28 -0400
commite6bf7714d7911e909bc9f239ef92bb4c5783d668 (patch)
tree2f2f9dc2e70e82f38cf78228b56f9de0348ba361 /bootstrap.sh
parentc9a4a85f3805644e706d0dead02ebb2984458fb3 (diff)
downloadlibgd-e6bf7714d7911e909bc9f239ef92bb4c5783d668.tar.gz
docs: clean up a bit and support `NaturalDocs`
Some installs use `NaturalDocs` instead of `naturaldocs`, so add support for either form.
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh13
1 files changed, 4 insertions, 9 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index f6c732d..45279ff 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -2,24 +2,19 @@
# $Id$
# Small shell script to build gd from source
+v() { echo "$@"; "$@"; }
+
# Generate the manual (unless naturaldocs isn't installed). Source
# dists should include the docs so that end users don't need to
# install naturaldocs. At the same time, we tolerate it being missing
# so that random hackers don't need it just to build the code.
-if which naturaldocs >/dev/null 2>&1 ; then
- echo "Generation user docs:"
- (cd docs/naturaldocs; bash run_docs.sh)
-else
- echo "Can't find naturaldocs; not generating user manual."
-fi
-
+v docs/naturaldocs/run_docs.sh --nonfatal
if echo "${OSTYPE:-$(uname)}" | grep -q '^darwin' ; then
echo "Having trouble on OS X? Try: brew install autoconf libtool automake gettext apple-gcc42 pkg-config cmake"
fi
-echo "autoreconf -f -i"
-if ! autoreconf -f -i ; then
+if ! v autoreconf -f -i ; then
exit 1
fi